Get sync plan overview
curl --request GET \
--url https://{workspace}.klef.ai/api/sync-plans/{id}/overview \
--cookie klef.session=import requests
url = "https://{workspace}.klef.ai/api/sync-plans/{id}/overview"
headers = {"cookie": "klef.session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'klef.session='}};
fetch('https://{workspace}.klef.ai/api/sync-plans/{id}/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"id": "<string>",
"status": "generating",
"requestedByUserId": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"generatedAt": "2023-11-07T05:31:56Z",
"approvedByUserId": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"supersededBySyncPlanId": "<string>",
"stateSerial": 123,
"isStale": true,
"policies": [
{
"id": "<string>",
"name": "<string>",
"version": 123,
"revision": 123,
"status": "active"
}
],
"connections": [
{
"id": "<string>",
"system": "adp_workforce_now",
"name": "<string>",
"protected": true,
"rosterRead": true,
"readError": "<string>"
}
],
"headline": {
"creates": 123,
"changes": 123,
"undo": 123,
"forgets": 123,
"blocked": 123,
"failed": 123,
"skipped": 123,
"findings": 123,
"conflicts": 123,
"drift": 123,
"unresolved": 123,
"unreadConnections": 123
},
"stats": {
"operations": 123,
"affected": 123,
"undo": 123,
"blocked": 123,
"failed": 123,
"findings": 123,
"byKind": [
{
"kind": "create",
"count": 123
}
],
"systems": [
"adp_workforce_now"
],
"notifications": [
{
"channel": "email",
"count": 123
}
]
},
"fieldChanges": 123,
"notifications": 123
},
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}{
"result": "<unknown>",
"errors": [
{
"errorCode": "validation_error",
"errorMessage": "<string>",
"target": "<string>"
}
]
}SyncPlans
Get sync plan overview
GET
/
sync-plans
/
{id}
/
overview
Get sync plan overview
Authorizations
cookieAuthapiKeyAuth
Cookie-based session. Obtain by completing the /auth/login/{provider} OAuth flow; the /auth/callback response sets the klef.session cookie that subsequent requests send automatically.
Path Parameters
Was this page helpful?